org.eclipse.ease.lang.python.py4j.internal

## Class Py4jDebugger

- java.lang.Object
- - org.eclipse.ease.debugging.AbstractEaseDebugger
  - - org.eclipse.ease.lang.python.debugger.PythonDebugger
    - - org.eclipse.ease.lang.python.py4j.internal.Py4jDebugger

All Implemented Interfaces:
  IEventProcessor, IExecutionListener

    public class Py4jDebugger
    extends PythonDebugger

Extension of `PythonDebugger` with additional `ICodeTraceFilter` to lower amount of trace dispatches.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.lang.python.debugger.PythonDebugger

`PythonDebugger.PythonDebugFrame`

### Nested classes/interfaces inherited from class org.eclipse.ease.debugging.AbstractEaseDebugger

`AbstractEaseDebugger.ThreadState`

### Field Summary

### Fields inherited from class org.eclipse.ease.lang.python.debugger.PythonDebugger

`PYTHON_DEBUGGER_VARIABLE`

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`Py4jDebugger(IDebugEngine engine, boolean showDynamicCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `execute(Script script)` Runs the given `Script` using the `ICodeTracer`.
`java.util.List<PythonBreakpoint>` `getBreakpoints(java.lang.String filename)` Returns list of all breakpoints in given file.
`void` `setTraceFilter(ICodeTraceFilter traceFilter)` Sets extended code tracer doing pre-filtering of dispatch calls..

### Methods inherited from class org.eclipse.ease.lang.python.debugger.PythonDebugger

`getScriptRegistry, setCodeTracer, traceDispatch`

### Methods inherited from class org.eclipse.ease.debugging.AbstractEaseDebugger

`fireDispatchEvent, getExceptionStacktrace, getExceptionStacktrace, getStacktrace, handleEvent, isTrackedScript, notify, setDispatcher, setScriptRegistry`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.debugging.dispatcher.IEventProcessor

`handleEvent, setDispatcher`

### Methods inherited from interface org.eclipse.ease.IExecutionListener

`notify`

### Constructor Detail

#### Py4jDebugger

    public Py4jDebugger(IDebugEngine engine,
                        boolean showDynamicCode)

See Also:
  `PythonDebugger.PythonDebugger(IDebugEngine, boolean)`

### Method Detail

#### setTraceFilter

    public void setTraceFilter(ICodeTraceFilter traceFilter)

Sets extended code tracer doing pre-filtering of dispatch calls..

Parameters:
  `traceFilter` - Extended code tracer.

#### getBreakpoints

    public java.util.List<PythonBreakpoint> getBreakpoints(java.lang.String filename)

Returns list of all breakpoints in given file.

Parameters:
  `filename` - Filename to get all breakpoints for.
Returns:
  List of breakpoints in given file.

#### execute

    public java.lang.Object execute(Script script)

Description copied from class: `PythonDebugger`
Runs the given `Script` using the `ICodeTracer`.

Return values are ignored in debug mode.

Overrides:
  `execute` in class `PythonDebugger`
Parameters:
  `script` - Script to be executed.
Returns:
  Always `null`